annoying update notice on tutorial videos

Why am I getting this update message when the plugin is the latest version?

WPMU DEV Videos
You have version 1.5.1 installed. Update to 1.5.1. View version 1.5.1 details.
Compatibility with WordPress 4.3.1: 100% (according to its author)
- Fix: Update and clean up video names to match the site